package cc.smtweb.system.bpm.web.sys.base.job;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-09-13 19:35:56
 * 实体【[定时任务](SYS_JOB)】的Entity类
 */
@SwTable("SYS_JOB")
public class JobEntity extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_JOB";

    public JobEntity() {
        super(ENTITY_NAME);
    }

    /** 主键 */
    public long getId() {
        return getLong("sj_id");
    }

    /** 主键 */
    public void setId(long sj_id) {
        put("sj_id", sj_id);
    }
    /** 编码 */
    public String getCode() {
        return getStr("sj_code");
    }

    /** 编码 */
    public void setCode(String sj_code) {
        put("sj_code", sj_code);
    }
    /** 名称 */
    public String getName() {
        return getStr("sj_name");
    }

    /** 名称 */
    public void setName(String sj_name) {
        put("sj_name", sj_name);
    }
    /** 执行类的路径 */
    public String getExeClass() {
        return getStr("sj_exe_class");
    }

    /** 执行类的路径 */
    public void setExeClass(String sj_exe_class) {
        put("sj_exe_class", sj_exe_class);
    }
    /** cron表达式 */
    public String getCron() {
        return getStr("sj_cron");
    }

    /** cron表达式 */
    public void setCron(String sj_cron) {
        put("sj_cron", sj_cron);
    }
    /** 是否启用 */
    public boolean isEnable() {
        return getBool("sj_enable");
    }

    /** 是否启用 */
    public void setEnable(boolean sj_enable) {
        setBool("sj_enable", sj_enable);
    }
    /** 备注 */
    public String getRemark() {
        return getStr("sj_remark");
    }

    /** 备注 */
    public void setRemark(String sj_remark) {
        put("sj_remark", sj_remark);
    }
}
